package com.reyun.model;

import java.util.List;

/**
 * Created by sunhao on 17/4/19.
 * description:事件属性页面展示model
 */
public class EventAttr4Web {

    private String attr;
    private String attrAlias;
    private String dataType;
    private String data;
    private String webType;
    private String type;
    private int sortId;
    private List<?> key;
    private List<?> value;
    private Boolean isCommon;
    private Boolean status;
    private Boolean addStatsCondition;
    private Boolean addStatsView;


    public String getAttr() {
        return attr;
    }

    public void setAttr(String attr) {
        this.attr = attr;
    }

    public String getAttrAlias() {
        return attrAlias;
    }

    public void setAttrAlias(String attrAlias) {
        this.attrAlias = attrAlias;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getWebType() {
        return webType;
    }

    public void setWebType(String webType) {
        this.webType = webType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getSortId() {
        return sortId;
    }

    public void setSortId(int sortId) {
        this.sortId = sortId;
    }

    public List<?> getKey() {
        return key;
    }

    public void setKey(List<?> key) {
        this.key = key;
    }

    public List<?> getValue() {
        return value;
    }

    public void setValue(List<?> value) {
        this.value = value;
    }

    public Boolean getCommon() {
        return isCommon;
    }

    public void setCommon(Boolean common) {
        isCommon = common;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public Boolean getAddStatsCondition() {
        return addStatsCondition;
    }

    public void setAddStatsCondition(Boolean addStatsCondition) {
        this.addStatsCondition = addStatsCondition;
    }

    public Boolean getAddStatsView() {
        return addStatsView;
    }

    public void setAddStatsView(Boolean addStatsView) {
        this.addStatsView = addStatsView;
    }

    @Override
    public String toString() {
        return "{" +
                "attr='" + attr + '\'' +
                ", attrAlias='" + attrAlias + '\'' +
                ", dataType='" + dataType + '\'' +
                ", webType='" + webType + '\'' +
                ", type='" + type + '\'' +
                ", sortId=" + sortId +
                ", key=" + key +
                ", value=" + value +
                ", isCommon=" + isCommon +
                ", status=" + status +
                ", addStatsCondition=" + addStatsCondition +
                ", addStatsView=" + addStatsView +
                '}';
    }
}
